#!/usr/bin/env python
# coding: utf-8

# templates.pagetemplate

import os
import cherrypy
from Cheetah.Template import Template as CheetahTemplate
import templates.mainnav

THISDIR = os.path.dirname(os.path.abspath(__file__))

BaseTemplate = CheetahTemplate.compile(
    file = os.path.join(THISDIR, "template.tmpl"),
    moduleName = "page_basetemplate"
)


def get_page_template(subtemplate_filepath):
    
    # Neue Vorlage von Hauptvorlage ableiten
    template = BaseTemplate.subclass(file = subtemplate_filepath)()

    # INI-Encoding
    inicoding = cherrypy.config["coding"]

    # Site-Title (als Unicode-String aus der INI lesen)
    template.site_title = cherrypy.config["site_title"].decode(inicoding)
    
    # Hauptmenü-Portlet
    template.mainnav = templates.mainnav.get_mainnav_template()
    
    # Rückgabe
    return template

